> ## Documentation Index
> Fetch the complete documentation index at: https://developers.partoo.co/llms.txt
> Use this file to discover all available pages before exploring further.

# User businesses

> This endpoint lets you retrieve the list of businesses which the selected user has `READ` access to.




## OpenAPI

````yaml /assets/openapi/openapi-bundled.yaml get /user/{user_id}/businesses
openapi: 3.1.0
info:
  title: Partoo Rest API
  version: v2
  license:
    name: © Copyright Partoo
    url: https://www.partoo.co/en/gtu-api/
  x-logo:
    url: >-
      https://partoo-client-images.s3.amazonaws.com/logo-partoo-restapi-white.png
  description: >
    ## Introduction

    The Partoo Rest API allows you to automate all the actions that are possible
    to do in the Partoo Web Application.


    The Partoo Rest API can be used for many different purposes:
      - Create/update/delete your businesses & users if you are a client.
      - Create/subscribe/manage organizations, businesses & users if you are a reseller.
      - Retrieve data on businesses you have access to if you are a publisher.
      - ...
servers:
  - url: https://api.partoo.co/v2
    description: Production server
  - url: https://api.sandbox.partoo.co/v2
    description: Sandbox server (dev environment for clients & partners)
security:
  - ApiKeyAuth: []
paths:
  /user/{user_id}/businesses:
    get:
      tags:
        - Users
      summary: User businesses
      description: >
        This endpoint lets you retrieve the list of businesses which the
        selected user has `READ` access to.
      operationId: getUserBusinesses
      parameters:
        - $ref: '#/components/parameters/path_user_id'
        - $ref: '#/components/parameters/query_page'
        - $ref: '#/components/parameters/query_per_page_1_100'
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                allOf:
                  - $ref: '#/components/schemas/ListResult'
                  - type: object
                    properties:
                      businesses:
                        description: User businesses
                        type: array
                        items:
                          $ref: '#/components/schemas/Business'
        '400':
          $ref: '#/components/responses/400'
        '401':
          $ref: '#/components/responses/401'
        '403':
          $ref: '#/components/responses/403'
        '404':
          $ref: '#/components/responses/404'
components:
  parameters:
    path_user_id:
      in: path
      required: true
      name: user_id
      schema:
        type: string
      description: User id
    query_page:
      in: query
      name: page
      schema:
        type: integer
        default: 1
      description: |
        Page number.
        Starts at 1. Any value lower than 1 will be considered as 1.
        For the number of items per page, see the `per_page` query parameter.
    query_per_page_1_100:
      in: query
      name: per_page
      schema:
        type: integer
        default: 30
        minimum: 1
        maximum: 100
      description: Number of items to return per page. Currently limited to 100.
  schemas:
    ListResult:
      type: object
      properties:
        page:
          $ref: '#/components/schemas/current_page'
        max_page:
          $ref: '#/components/schemas/max_page'
        count:
          $ref: '#/components/schemas/count'
    Business:
      description: Partoo App Business
      type: object
      properties:
        id:
          $ref: '#/components/schemas/BusinessId'
        created:
          description: Timestamp (in seconds) of the business creation
          type: number
          format: float
          example: 1409925979.5
        modified:
          description: >-
            Timestamp (in seconds) of the business last modification. It doesn’t
            take into account changes to the Custom Fields or related objects.
          type: number
          format: float
          example: 1561335111.681374
        code:
          $ref: '#/components/schemas/BusinessCode'
        status:
          $ref: '#/components/schemas/BusinessStatus'
        org_id:
          $ref: '#/components/schemas/OrgId'
        groups:
          $ref: '#/components/schemas/groups'
        name:
          $ref: '#/components/schemas/BusinessName'
        address:
          description: >-
            Business address. This fields returns the same value as the field
            `address_full` for historical reasons. You should prefer the use
            `address_full`.
          type: string
        address_full:
          $ref: '#/components/schemas/AddressFull'
        address2:
          $ref: '#/components/schemas/Address2'
        city:
          $ref: '#/components/schemas/BusinessCity'
        zipcode:
          $ref: '#/components/schemas/BusinessZipcode'
        region:
          $ref: '#/components/schemas/BusinessRegion'
        country:
          $ref: '#/components/schemas/BusinessCountry'
        default_lang:
          $ref: '#/components/schemas/BusinessDefaultLang'
        open_hours:
          $ref: '#/components/schemas/OpenHours'
        specific_hours:
          $ref: '#/components/schemas/SpecificHours'
        description_short:
          $ref: '#/components/schemas/BusinessShortDescription'
        description_long:
          $ref: '#/components/schemas/BusinessLongDescription'
        website_url:
          $ref: '#/components/schemas/BusinessWebsite'
        facebook_url:
          $ref: '#/components/schemas/BusinessFacebookPage'
        twitter_url:
          $ref: '#/components/schemas/BusinessTwitter'
        google_location_id:
          description: Id of Google Location to which the business is linked
          type: string
        facebook_page_id:
          description: Id of Facebook Location to which the business is linked
          type: string
        national_identification_number:
          $ref: '#/components/schemas/BusinessNationalIdentificationNumber'
        logo_url:
          description: Business LOGO URL
          type: string
          format: uri
        contacts:
          $ref: '#/components/schemas/BusinessContacts'
        photos:
          $ref: '#/components/schemas/Photos'
        lat:
          $ref: '#/components/schemas/Latitude'
        long:
          $ref: '#/components/schemas/Longitude'
        subscriptions:
          $ref: '#/components/schemas/Subscriptions'
        features:
          $ref: '#/components/schemas/Features'
        completion_rate:
          $ref: '#/components/schemas/BusinessCompletionRate'
        promos:
          $ref: '#/components/schemas/BusinessPromos'
    current_page:
      type: integer
      description: Current page number
      example: 1
    max_page:
      type: integer
      description: Last page number
      example: 10
    count:
      type: integer
      description: Number of resources complying with filters
      example: 287
    BusinessId:
      description: Business id
      type: string
      example: 5409c35a97bbc544d8e26737
    BusinessCode:
      description: >-
        The unique store code of the business. If not provided, it will be
        automatically generated
      type: string
      example: CS-75019
    BusinessStatus:
      description: >
        Defines the current status of the business. `open` indicates the
        business is up and running. `closed` means that the business has
        definitely closed. `closed_temporarily` means that the business is
        temporarily closed, it is advised when your business is closed for more
        than one week, otherwise use the `specific_hours`
      type: string
      enum:
        - open
        - closed
        - closed_temporarily
      default: open
      example: open
    OrgId:
      description: Unique identifier of an organization in Partoo.
      type: integer
      example: 42
    groups:
      description: >
        List of Group ID of the business.


        Groups the business belongs to.


        See [the Groups and Sections
        description](/guides/api/resources/organizations/groups)
      type: array
      items:
        type: integer
      example:
        - 1
        - 2
        - 3
    BusinessName:
      description: >-
        The name of the business (POI) as it will appear on the publishing
        platforms
      type: string
      minLength: 1
      example: Corner shop
    AddressFull:
      description: |
        Full address of the business.

        For example : `130 Rue du Mont-Cenis`.
      type:
        - string
        - 'null'
      example: 12 bis rue du coquelicot
    Address2:
      description: >-
        Complement of address. Any additional information that could help better
        find the business location
      type:
        - string
        - 'null'
    BusinessCity:
      description: The city where the business is located
      type:
        - string
        - 'null'
      example: Paris
    BusinessZipcode:
      description: >-
        Zipcode (or postal code) for the business address. Can be empty if the
        business' country does not require one.
      type:
        - string
        - 'null'
      example: '75019'
    BusinessRegion:
      description: >-
        The region where the business is located. Can be empty, it is only
        useful for some countries like Italy or Spain among others.
      type:
        - string
        - 'null'
      example: Ile-de-France
    BusinessCountry:
      description: >-
        Business country - In the ISO 3166 alpha2 code format (i.e. use “FR” for
        France instead of "fr")
      type: string
      example: FR
    BusinessDefaultLang:
      description: >-
        Business default language - it either corresponds to the country's
        default language or set as English by default
      type: string
      example: fr
    OpenHours:
      description: >
        The opening hours of the business (in its timezone).


        Opening hours are specified per weekday. This is done by supplying an
        object mapping weekdays ("monday", "tuesday", etc.) to a list of
        strings. These strings in turn represent time slots during which the
        business is open.


        For example, the following value would set the opening hours to between
        08:00-15:00 in the afternoon and 18:00-23:00 in the evening on
        Mondays:  

        `{"monday": ["08:00-15:00", "18:00-23:00"]}`


        To indicate that a business is open 24 hours for a specific weekday, use
        the value `["00:00-23:59"]`.


        ❗ This field is not mandatory, but if not provided then the business
        will not be pushed on some platforms (example: Google).  

        If provided, then a schedule needs to be sent for each day in
        particular.
      type: object
      required:
        - monday
        - tuesday
        - wednesday
        - thursday
        - friday
        - saturday
        - sunday
      properties:
        monday:
          $ref: '#/components/schemas/Day'
        tuesday:
          $ref: '#/components/schemas/Day'
        wednesday:
          $ref: '#/components/schemas/Day'
        thursday:
          $ref: '#/components/schemas/Day'
        friday:
          $ref: '#/components/schemas/Day'
        saturday:
          $ref: '#/components/schemas/Day'
        sunday:
          $ref: '#/components/schemas/Day'
    SpecificHours:
      description: >
        Exceptional opening or closing times for the business (in its timezone).


        All exceptional days of the year, including temporarily closed, can be
        specified beforehand or on the go. For example:


        - Beforehand: bank holidays (like Christmas or Labor Day)  

        - Unpredicted: COVID-19 exceptional situation


        Specific hours are defined by two values:


        - `open`, containing a list of days with exceptional *opening* hours  

        - `close`, containing a list of days where the business is exceptionally
        closed all day


        These values in turn contain:


        - `starts_at` indicating the first date for which the exceptional hours
        are valid  

        - `ends_at` indicating the last date (inclusive) for which the
        exceptional hours are valid  

        - `open_hours` (only used for days with exceptional *opening* hours)
        indicating the actual time slots for the given period, following the
        same pattern as the time slots in `open_hours`
      type: object
      required:
        - open
        - close
      properties:
        open:
          type: array
          items:
            type: object
            properties:
              starts_at:
                type: string
                pattern: date
                example: '2020-01-20'
              ends_at:
                type: string
                pattern: date
                example: '2020-01-20'
              open_hours:
                type: array
                items:
                  $ref: '#/components/schemas/TimeWindow'
        close:
          type: array
          items:
            type: object
            properties:
              starts_at:
                type: string
                pattern: date
                example: '2020-01-20'
              ends_at:
                type: string
                pattern: date
                example: '2020-01-22'
    BusinessShortDescription:
      description: |
        A short description of the business.    

        ⚠️ It is limited to 80 characters
      type: string
      example: lorem ipsum
    BusinessLongDescription:
      description: |
        A more detailed description of the business.    

        ⚠️ It is limited to 750 characters
      type: string
      example: lorem ipsum dolor sit amet
    BusinessWebsite:
      description: The business own website url or the main url of the company.
      type: string
      format: uri
      example: https://www.corner-shop.co/
    BusinessFacebookPage:
      description: Business Facebook page url
      type: string
      format: uri
      example: https://www.facebook.com/the-corner-shop
    BusinessTwitter:
      description: Business twitter page url
      type: string
      format: uri
      example: https://www.twitter.com/the-corner-shop
    BusinessNationalIdentificationNumber:
      description: >
        The National Identification Number of the business.


        It describes a unique number for which the business is registered in a
        specific country.  

        For example, in France, it's the SIRET code, or for Ireland, it's the
        CRO.
      type: string
    BusinessContacts:
      description: >-
        Specify how the clients can reach the persons in charge of the business
        in case they have questions.
      type: array
      items:
        $ref: '#/components/schemas/Contact'
    Photos:
      description: |
        Business photos   

        Each business can have one or more photos associated
      type: object
      properties:
        LOGO:
          description: >-
            The logo image of the brand. On Google, for example, for businesses
            that have their basic information (phone number, hours, etc.), the
            Business Profile will highlight the logo.
          type: string
          format: uri
        primary:
          description: >-
            The business's main photo URL. On Google, for example, it represents
            the cover photo on the top of the profile.
          type: string
          format: uri
        secondary:
          description: Additional photos that can highlight the features of the business.
          type: array
          items:
            type: string
            format: uri
    Latitude:
      description: >-
        Latitude pushed on publishers. Decimals are separated by a dot and not
        by a comma.
      type:
        - number
        - 'null'
      format: double
      example: -3.585993
    Longitude:
      description: >-
        Longitude pushed on publishers. Decimals are separated by a dot and not
        by a comma.
      type:
        - number
        - 'null'
      format: double
      example: 47.870341
    Subscriptions:
      deprecated: true
      description: Business product subscriptions. Deprecated, use `features` instead.
      type: object
      required:
        - presence_management
        - review_booster
        - review_management
        - messages
      properties:
        presence_management:
          $ref: '#/components/schemas/SubscriptionActive'
          description: Is business subscribed to Presence Management
        review_management:
          $ref: '#/components/schemas/SubscriptionActive'
          description: Is business subscribed to Review Management
        review_booster:
          $ref: '#/components/schemas/SubscriptionActive'
          description: Is business subscribed to Review Booster
        messages:
          $ref: '#/components/schemas/SubscriptionActive'
          description: Is business subscribed to Business Message
      example:
        presence_management:
          active: true
        review_management:
          active: true
        review_booster:
          active: false
        messages:
          active: false
    Features:
      description: |
        List of business' features.
      type: array
      items:
        $ref: '#/components/schemas/Feature'
      example:
        - business_edition
        - diffusion
        - review_management
        - review_invite
        - messages
    BusinessCompletionRate:
      description: >
        The completion rate percentage of the business.


        The completion rate is calculated based on how many fields are filled
        for the business.  

        If some necessary fields are not filled, it will lower the completion
        rate.


        ⚠️ After the update of the business, it may take up to 24 hours for this
        field to be updated.
      type: integer
      example: 77
    BusinessPromos:
      deprecated: true
      type: array
      items:
        $ref: '#/components/schemas/Promo'
    Day:
      description: >-
        Open in the morning and in the evening `[10:00-14:00, 18:00-00:00]`.
        Closed the whole day `[]`
      type: array
      items:
        $ref: '#/components/schemas/TimeWindow'
      example:
        - 10:00-14:00
    TimeWindow:
      description: Time window
      type: string
      pattern: ^([0-1][0-9]|2[0-3]):([0-5][0-9])-([0-1][0-9]|2[0-3]):([0-5][0-9])$
      example: 10:00-14:00
    Contact:
      description: Business contact
      type: object
      properties:
        name:
          description: Contact full name
          type: string
          example: Hubert Bonisseur de la Bath
        email:
          description: Contact email
          type: string
          format: email
          example: hubert@oss117.fr
        phone_numbers:
          description: >-
            Contact phone numbers - Preferably in the format E.164
            ('+33302060628' instead of '0302060628')
          type: array
          items:
            type: string
          example:
            - '+33302060628'
        fax:
          description: Contact fax
          type: string
          example: '+33302060629'
    SubscriptionActive:
      type: object
      required:
        - active
      properties:
        active:
          type: boolean
          description: Product has been activated
    Feature:
      allOf:
        - $ref: '#/components/schemas/FeatureEnum'
      type: string
      description: Business feature name
    Promo:
      deprecated: true
      description: Business promotions
      type: object
      required:
        - title
        - description
        - begin
        - end
      properties:
        title:
          type: string
          description: Promo title
        description:
          type: string
          description: Promo description
        term_of_use:
          type: string
          description: Promo term of use
        additional_informations:
          type: string
          description: Promo additional informations
        begin:
          type: number
          description: Promo start timestamp
        end:
          type: number
          description: Promo end timestamp
        images:
          type: array
          description: Promo images to be displayed
          items:
            type: string
            format: uri
        client_offer_url:
          description: Promo URL
          type: string
          format: uri
        promo_url:
          description: URL of the website
          type: string
          format: uri
    FeatureEnum:
      enum:
        - diffusion
        - feedback_management
        - messages
        - posts
        - review_invite
        - review_management
  responses:
    '400':
      description: Your request is incorrect
      content:
        application/json:
          schema:
            description: |
              Error that occcurs when your request is incorrect
            properties:
              errors:
                type: object
                description: The detail of the error encountered
                properties:
                  json:
                    type: object
    '401':
      description: You are not authenticated
      content:
        application/json:
          schema:
            description: Error that occurs when you are not authenticated
            type: object
            properties:
              errors:
                type: object
                description: The detail of the error encountered
                properties:
                  authentication:
                    type: string
                    default: User not authenticated
    '403':
      description: |
        You are not allowed to perform this action
      content:
        application/json:
          schema:
            description: >
              Error that occurs when you are authenticated but you are trying to
              perform an action you are not allowed to perform
            type: object
            properties:
              errors:
                type: object
                description: The detail of the error encountered
                properties:
                  authorization:
                    type: string
                    default: Operation not allowed
    '404':
      description: Resource does not exist
      content:
        application/json:
          schema:
            description: >-
              Error that occcurs when you are trying to reach a resource that
              does not exist
            type: object
            properties:
              errors:
                type: object
                description: The detail of the error encountered
                properties:
                  json:
                    type: string
                    default: Resource not found
  securitySchemes:
    ApiKeyAuth:
      description: >
        The authentication system on Partoo API is using API Key that should be
        put in the header of the request (the name of the header is `x-APIKey`).
        An api_key is linked to a user. This user's role will give you different
        access level to the API features.
      type: apiKey
      in: header
      name: x-APIKey

````